> ## Documentation Index
> Fetch the complete documentation index at: https://docs.illumiatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Credential Value Pools

> Lists the credential value pools. Only pools with `INST_APP` as an allowed source will be returned in this list. Query parameters can be used to limit the scope of the list.



## OpenAPI

````yaml /api-reference/idx/atlas-spec-instmgmt-credential/1.0/idx-instmgmt-credential.json get /credentialvalues/pools
openapi: 3.0.3
info:
  title: Institution Management Credential API - 1.0
  version: '1.0'
  description: Credential operations available for institution integration.
  contact:
    name: Transact Campus
    url: https://www.transactcampus.com/
    email: no-reply@transactcampus.com
  termsOfService: TBD
  license:
    name: ISC
    url: https://www.transactcampus.com
servers:
  - url: https://api.transactcampus.com/idx/institution-management/credentials/v1
    description: Prod
  - description: UAT
    url: https://api-uat.transactsp.net/idx/institution-management/credentials/v1
security:
  - ApimKey: []
tags:
  - name: Credential
    description: The credential tag
  - name: Credential Type
    description: The credential type tag
  - name: Credential Value Pool
    description: The credential value pool tag
  - name: Credential Value Type
    description: The credential value type tag
paths:
  /credentialvalues/pools:
    get:
      tags:
        - Credential Value Pool
      summary: List Credential Value Pools
      description: >-
        Lists the credential value pools. Only pools with `INST_APP` as an
        allowed source will be returned in this list. Query parameters can be
        used to limit the scope of the list.
      operationId: list-credential-value-pools
      parameters:
        - $ref: '#/components/parameters/limit-query-param'
        - $ref: '#/components/parameters/offset-query-param'
        - schema:
            type: string
          in: query
          name: name
          description: >-
            The name of the credential value pool. Performs a case-insensitive
            contains query with the given name.
        - schema:
            type: string
            format: uuid
          in: query
          name: credentialValueTypeId
          description: The credential value type identifier in UUID format.
      responses:
        '200':
          description: The list of credential value pools.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  credentialValuePools:
                    type: array
                    items:
                      $ref: '#/components/schemas/credential-value-pool-model'
                  paging:
                    $ref: '#/components/schemas/paging-model'
        '400':
          $ref: '#/components/responses/error-response'
        '401':
          $ref: '#/components/responses/error-response'
        '403':
          $ref: '#/components/responses/error-response'
        '429':
          $ref: '#/components/responses/error-response'
        '500':
          $ref: '#/components/responses/500-error-response'
components:
  parameters:
    limit-query-param:
      name: limit
      in: query
      description: The limit parameter for pagination.
      schema:
        minimum: 1
        type: integer
        format: int32
        default: 50
      style: form
      explode: false
    offset-query-param:
      name: offset
      in: query
      description: The offset parameter for pagination.
      schema:
        minimum: 0
        type: integer
        format: int32
        default: 0
      style: form
      explode: false
  schemas:
    credential-value-pool-model:
      title: Credential Value Pool
      type: object
      description: The credential value pool model.
      additionalProperties: false
      properties:
        id:
          type: string
          description: The credential value pool identifier in UUID format.
          format: uuid
        name:
          type: string
          description: >-
            The name of the credential value pool. Must be unique for the
            institution.
        allowedSources:
          type: array
          description: >-
            The list of sources that are allowed to issue credential values from
            this pool. Only pools with `INST_APP` as an allowed source can be
            used in an institution application.
          minItems: 1
          uniqueItems: true
          items:
            type: string
            enum:
              - CARD_PRODUCTION
              - IDX_UI
              - IMPORT
              - INST_APP
              - INSTANT_ID
              - MOBILE_CREDENTIAL
              - OTHER
        credentialValueType:
          type: object
          additionalProperties: false
          description: The credential value type information.
          properties:
            id:
              type: string
              description: The credential value type identifier in UUID format.
              format: uuid
            name:
              type: string
              description: The name of the credential value type.
          required:
            - id
            - name
        valueRange:
          type: object
          description: >-
            Describes the credential values that are allowed to be issued in the
            pool.
          additionalProperties: false
          required:
            - minValue
            - maxValue
            - totalValues
            - issuedValues
            - remainingValues
          properties:
            minValue:
              type: string
              description: >-
                The minimum credential value that is allowed in the range. It
                must start with the prefix value of the credential value type if
                one is specified. Also, it must conform to the min/max lengths
                and character set configured in the credential value type. For
                pools with an `ALPHANUMERIC` character set, case is insensitive
                and numerals will be treated as less than letters (i.e. the
                value `1111111100000000` is less than `11111111aaaaaaaa`).
              minLength: 1
              maxLength: 255
              example: '1111111100000000'
            maxValue:
              type: string
              description: >-
                The maximum credential value that is allowed in the range. It
                must start with the prefix value of the credential value type if
                one is specified. Also, it must conform to the min/max lengths
                and character set configured in the credential value type. For
                pools with an `ALPHANUMERIC` character set, case is insensitive
                and numerals will be treated as less than letters (i.e. the
                value `1111111100000000` is less than `11111111aaaaaaaa`).
              minLength: 1
              maxLength: 255
              example: 11111111ffffffff
            totalValues:
              type: number
              description: >-
                The total number of credential values that can be issued within
                the value range of the pool. This value is calculated based on
                the minimum and maximum values provided.
              minimum: 0
            issuedValues:
              type: number
              description: The total number of credential values issued from the pool.
              minimum: 0
            remainingValues:
              type: number
              description: >-
                The number of remaining credential values that can be issued
                within the value range of the pool.
              minimum: 0
      required:
        - id
        - name
        - allowedSources
        - valueRange
    paging-model:
      title: Paging
      required:
        - limit
        - offset
        - total
      type: object
      additionalProperties: false
      properties:
        offset:
          minimum: 0
          type: integer
          description: The number of entities skipped before the list begins.
        limit:
          minimum: 1
          type: integer
          description: The maximum number of entities returned in the list.
        total:
          minimum: 0
          type: integer
          description: The total amount of entities.
      description: The paging information model.
    error-response-model:
      title: Error Response
      description: The error response model.
      type: object
      additionalProperties: false
      required:
        - errors
      properties:
        errors:
          type: array
          description: The list of errors.
          minItems: 1
          items:
            type: object
            additionalProperties: false
            required:
              - errorCode
              - errorMessage
            properties:
              errorCode:
                type: string
                description: The error code describing the failure.
              errorMessage:
                type: string
                description: The error message providing the error details.
              source:
                type: object
                additionalProperties: false
                description: The source of the error.
                properties:
                  pathParameter:
                    type: string
                    description: The path parameter causing the error.
                  queryParameter:
                    type: string
                    description: The query parameter causing the error.
                  header:
                    type: string
                    description: The header causing the error.
                  field:
                    type: string
                    description: The field causing the error.
                  dependentResource:
                    type: string
                    description: The dependent resource causing the error.
              moreInfo:
                type: string
                description: More information about the error.
  responses:
    error-response:
      description: An error occurred. See error information for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error-response-model'
    500-error-response:
      description: An unexpected internal error occurred.
      content: {}
  securitySchemes:
    ApimKey:
      name: Ocp-Apim-Subscription-Key
      type: apiKey
      in: header
      description: The APIM subscription key.

````